mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true)

By default, type arguments are marshaled as a VARIANT type, where the object type determines the VARTYPE value of the VARIANT.

The type must to be passed as an type to be marshaled as a VARIANT of type VT_ERROR, otherwise the type is marshaled as an integer.

The following table illustrates marshaling in a managed call to a native function, using platform invoke.

Managed signature parameter

pArr value

Marshaled as

ErrorWrapper[] pArr

ErrorWrapper[10] of ErrorWrapper(77)

Int[10]

Object[] pArr

ErrorWrapper[10] of ErrorWrapper(77)

VARIANT[10] of VT_ERROR

Object[] pArr

Object[10] of ErrorWrapper(77)

VARIANT[10] of VT_ERROR

The following table illustrates marshaling data in a managed call to a native function, using COM runtime callable wrappers (RCW).

Managed signature parameter

pArr value

Marshaled as

ErrorWrapper[] pArr

ErrorWrapper[10] of ErrorWrapper(77)

Int[10]

Object[] pArr

ErrorWrapper[10] of ErrorWrapper(77)

SafeArrayTypeMismatch exception

Object[] pArr

Object[10] of ErrorWrapper(77)

SAFEARRAY(VARIANT)

Note that objects are not marshaled as type VT_ERROR after they are passed back from COM. A single value is marshaled back from COM as type VT_I4, while arrays are marshaled back from COM as type VT_UI4.

For more information on VT_ERROR, please see the existing documentation for VARENUM::VT_ERROR in the MSDN library.

Wraps objects the marshaler should marshal as a VT_ERROR.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the HRESULT that corresponds to the exception supplied.

  The exception to be converted to an error code.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the HRESULT of the error.

  The HRESULT of the error.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with an object containing the HRESULT of the error.

  The object containing the HRESULT of the error.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added: an object of type 'int' To be added

  Gets the error code of the wrapper.